with import <nixpkgs> {};

buildGoModule (finalAttrs: {
  pname = "abra";
  version = "0.10.1-beta";

  src = fetchGit {
    url = "https://git.coopcloud.tech/toolshed/abra.git";
    rev = "2fbef41a3a000b78b8c3a68d1aa0604f50bad715";
  };

  # abra vendors its dependencies
  vendorHash = null;

  # TODO: go back and check why `go test` for abra is not hermetic
  doCheck = false;

  meta = {
    description = "The Co-op Cloud command-line interface.";
    homepage = "https://git.coopcloud.tech/toolshed/abra";
    license = lib.licenses.gpl3;
    # maintainers = with lib.maintainers; [sixsmith];
  };
}
)

